libpam-pwquality - PAM module to check password strength

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libpam-pwquality
Package version: 1.2.3
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 66 B
Download size: 10.77 KB
Official Mirror:
libpwquality's purpose is to provide common functions for password quality checking and also scoring them based on their apparent randomness. The library also provides a function for generating random passwords with good pronounceability. This module can be plugged into the password stack of a given service to provide some plug-in strength-checking for passwords. The code was originaly based on pam_cracklib module and the module is backwards compatible with its options.



    Source package: libpwquality

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libpam-pwquality deb package:
      # sudo apt-get install libpam-pwquality


    • /lib/x86_64-linux-gnu/security/
    • /usr/share/doc/libpam-pwquality/changelog.Debian.gz
    • /usr/share/doc/libpam-pwquality/changelog.gz
    • /usr/share/doc/libpam-pwquality/copyright
    • /usr/share/man/man8/pam_pwquality.8.gz
    • /usr/share/pam-configs/pwquality


    2013-09-21 - Michael Biebl <> libpwquality (1.2.3-1) unstable; urgency=low * New upstream release. * Add get-orig-source target utilizing

    2013-06-29 - Michael Biebl <> libpwquality (1.2.2-1) unstable; urgency=low [ Timo Aaltonen ] * libpam-pwquality: Add a config file for pam-auth-update. (Closes: #703817, LP: #1191990) [ Michael Biebl ] * New upstream release.

    2013-05-25 - Michael Biebl <> libpwquality (1.2.1-1) unstable; urgency=low [ Iain Lane ] * Pass python version correctly [ Michael Biebl ] * Upload to unstable. * New upstream release. * Use to substitute @GNOME_TEAM@ in * Split off the man page and configuration file from libpwquality1 into a new binary package named libpwquality-common and make libpwquality1 depend on it. * With those files split off, mark the packages as multi-arch enabled. * Bump Standards-Version to 3.9.4. No further changes.

    2012-06-25 - Iain Lane <> libpwquality (1.1.1-1) experimental; urgency=low * Upload to Debian (Closes: #678938). * Add Homepage field. * Install into multiarch paths, but do not enable Multi-Arch itself in debian/control as cracklib2 is not yet converted. * Improve package descriptions. * Install python module into proper directory. * Add myself as Uploader and team as Maintainer.

    2012-06-22 - Robert Ancell <> libpwquality (1.1.1-0ubuntu1) quantal; urgency=low * New upstream release * debian/control: - Build-depend on debhelper >= 9 - Build-depend on libpam0g-dev - Improve descriptions

    2012-06-18 - Robert Ancell <> libpwquality (1.1.0-0ubuntu1) quantal; urgency=low * Initial Release.